package online.zdenda.wallet.cmd.listener;

import online.zdenda.wallet.cmd.WalletCommand;
import online.zdenda.wallet.cmd.producer.WalletCommandsProducer;

/**
 * Represents a listener to {@link WalletCommand} instances.
 * It is intended to react to commands that are generated by {@link WalletCommandsProducer}.
 * There may be various reactions like immediate execution, batching with delayed execution...etc.
 */
public interface WalletCommandListener {

    /**
     * Callback with the new command.
     *
     * @param command new command
     */
    void onCommand(WalletCommand command);
}
